noxlogic_rate_limit:
    enabled:              true
    storage_engine:       "redis"
    redis_client:         default_client
    rate_response_code:   429
    # Optional exception class that will be returned when a client hits the rate limit
    rate_response_exception:  null
    # The HTTP message to return when a client hits the rate limit
    rate_response_message:  'You exceeded the rate limit'
    # Should the ratelimit headers be automatically added to the response?
    display_headers:      true
    # What are the different header names to add
    headers:
        limit:                X-RateLimit-Limit
        remaining:            X-RateLimit-Remaining
        reset:                X-RateLimit-Reset